FROM docker.io/bitnami/spark:3.3

USER root
RUN apt-get update && apt-get install curl -y
# RUN curl https://download.oracle.com/java/17/archive/jdk-17.0.1_linux-x64_bin.tar.gz \
#     --output jdk-17.0.6_linux-x64_bin.tar.gz 
# RUN tar -xvf jdk-17.0.6_linux-x64_bin.tar.gz -C /opt/bitnami/